#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EExportCodec {
    Default = 0,
    H264 = 1,
    H265 = 2,
}

impl EExportCodec {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Default as i32 => Some(Self::Default),
            x if x == Self::H264 as i32 => Some(Self::H264),
            x if x == Self::H265 as i32 => Some(Self::H265),
            _ => None,
        }
    }
}
